View Issue Details

IDProjectCategoryView StatusLast Update
00300812.x IDE BugsInstallingPublic2019-01-31 11:20
ReporterDanAssigned ToSteven Campbell 
PriorityHighSeverityA - Crash/HangReproducibilityUnable To Reproduce
Status ClosedResolutionFixed 
Product Version2.2.0 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030081: Installing: Users see crash dialog when unable to subst Z to install runtimes
DescriptionSome users see a crash dialog when their PC is unable to subst Z to install their first runtimes. You can see from the log that this results ina splash screen crash:

[18:25:20:607(df6b)] --------------------------------------------------------------------------------
[18:25:20:607(df6b)] IDE Exception: System.AggregateException
[18:25:20:607(df6b)] Exception message: One or more errors occurred.
[18:25:20:657(df6b)] Exception stack: at „..(Boolean )
   at YoYoStudio.SplashScreen.()
   at YoYoStudio.Plugins.MethodContainer.(Object[] )
   at YoYoStudio.Plugins.Command.execute_object(String _command, Object _focus, Object[] paramaters)
   at YoYoStudio.Plugins.Command.execute_object(String _command, Object _focus, Object[] paramaters)
   at YoYoStudio.IDE.Run()
   at YoYoStudio.IDE.Execute(String[] _args, Int32 _initialWidth, Int32 _initialHeight)
[18:25:20:667(df6b)] ----------------------------------------
[18:25:20:667(df6b)] Inner Exception: System.AggregateException
[18:25:20:667(df6b)] Inner Exception message: One or more errors occurred.
[18:25:20:667(df6b)] Inner Exception stack: at System.Threading.Tasks.Task.WaitAll(Task[] tasks, Int32 millisecondsTimeout, CancellationToken cancellationToken)
   at System.Threading.Tasks.Task.WaitAll(Task[] tasks, Int32 millisecondsTimeout)
   at System.Threading.Tasks.Task.WaitAll(Task[] tasks)
   at YoYoStudio.Runtime.RuntimeEntry..()
   at System.Threading.Tasks.Task.Execute()
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at YoYoStudio.Runtime.RuntimeEntry..()
[18:25:20:667(df6b)] ----------------------------------------
[18:25:20:667(df6b)] Inner Exception: System.IO.DirectoryNotFoundException
[18:25:20:667(df6b)] Inner Exception message: Could not find a part of the path 'Z:/download'.
[18:25:20:667(df6b)] Inner Exception stack: at System.IO.__Error.WinIOError(Int32 errorCode, String maybeFullPath)
   at System.IO.Directory.InternalCreateDirectory(String fullPath, String path, Object dirSecurityObj, Boolean checkHost)
   at System.IO.Directory.InternalCreateDirectoryHelper(String path, Boolean checkHost)
   at YoYoStudio.Runtime.RuntimeModule..()
[18:25:20:667(df6b)] --------------------------------------------------------------------------------
Steps To Reproduce1. Fresh install, but block the use of subst on your PC.
TagsNo tags attached.
2.x IDE Found In2.2.0.343
2.x Runtime Found In2.2.0.258
2.x IDE Verified In2.2.2.390
2.x Runtime Verified In2.2.2.302

Activities

Dan

2018-10-15 10:42

Adminstrator  

substcrash.log (155,668 bytes)

Steven Campbell

2018-12-17 12:34

Manager   ~0062272

Going to mark this as resolved for now, as there have been various patches put in place to catch subst from failing to outright not existing.